Package org.apache.jmeter.protocol.http.parser

# Class CssParserCacheLoader

java.lang.Object
org.apache.jmeter.protocol.http.parser.CssParserCacheLoader

All Implemented Interfaces:
  `com.github.benmanes.caffeine.cache.AsyncCacheLoader<org.apache.commons.lang3.tuple.Triple<String,URL,Charset>,URLCollection>`, `com.github.benmanes.caffeine.cache.CacheLoader<org.apache.commons.lang3.tuple.Triple<String,URL,Charset>,URLCollection>`

public class CssParserCacheLoader extends Object implements com.github.benmanes.caffeine.cache.CacheLoader<org.apache.commons.lang3.tuple.Triple<String,URL,Charset>,URLCollection>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CssParserCacheLoader()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `URLCollection`
  `load(org.apache.commons.lang3.tuple.Triple<String,URL,Charset> triple)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.github.benmanes.caffeine.cache.CacheLoader

  `asyncLoad, asyncLoadAll, asyncReload, loadAll, reload`

- ## Constructor Details

  - ### CssParserCacheLoader

    public CssParserCacheLoader()

- ## Method Details

  - ### load

    public URLCollection load(org.apache.commons.lang3.tuple.Triple<String,URL,Charset> triple) throws Exception
    Specified by:
      `load` in interface `com.github.benmanes.caffeine.cache.CacheLoader<org.apache.commons.lang3.tuple.Triple<String,URL,Charset>,URLCollection>`
    Throws:
      `Exception`